%% Spreadsheet with unit labor costs
[numeric text raw] = xlsread('BLSnonfarmbusiness.xls','BLS NFBS');


ncols = size(numeric,2);
nrows = size(numeric,1);

% drop NaN entries from numeric vector
cleanNumeric = zeros(nrows,1);

for i=1:ncols
    if isnan(numeric(1,i))==0
    cleanNumeric = [cleanNumeric,numeric(:,i)];
    end
end

cleanNumeric = cleanNumeric(:,2:end);

nrowsClean = size(cleanNumeric,1);

droplist = 5:5:nrowsClean;
droplist0 = zeros(1,nrowsClean);
droplist0(droplist)=droplist;
keeplist = 1:nrowsClean;
keeplist = find(keeplist~=droplist0);

shortCleanNumeric = cleanNumeric(keeplist,2:2:end);
shortRaw = raw(keeplist,:);

success = xlswrite('BLSnonfarmbusiness.xls',shortRaw,'NFBS shortRaw')
success = xlswrite('BLSnonfarmbusiness.xls',shortCleanNumeric,'NFBS shortCleanNumeric')

